
%global _el_version el8_1
 
Name:       buildsys-macros-el8
Summary:    Macros for the Buildsystem
Version:    1.0
Release:    3.%{_el_version}
License:    GPL
Group:      Development/Buildsystem
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch
 
%description
This particular package contains the macros needed for the buildsys for CentOS el8.
 
%prep
 
%build
 
%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/rpm/
VERSION=%{version}
printf %s%b "%" "rhel 8\n" >> %{buildroot}/etc/rpm/macros.disttag
printf %s%b "%" "centos 8\n" >> %{buildroot}/etc/rpm/macros.disttag
printf %s%b "%" "dist .%{_el_version}\n" >> %{buildroot}/etc/rpm/macros.disttag
printf %s%b "%" "el8 1\n" >> %{buildroot}/etc/rpm/macros.disttag
printf %s%b "%" "__arch_install_post /usr/lib/rpm/check-buildroot\n" >> %{buildroot}/etc/rpm/macros.checkbuild
 
%clean
rm -rf %{buildroot}
 
%files
%defattr(-,root,root)
/etc/rpm/macros.disttag
/etc/rpm/macros.checkbuild
 
%changelog
* Wed Jun 26 2019 Brian Stinson <brian@bstinson.com> - el8-1.0-1.el8_0
- change to the same package name

* Tue May 21 2019 Brian Stinson <brian@bstinson.com> - el8_0-1.0-1
- build the el8_0 macros 

* Sat May 04 2019 Brian Stinson <brian@bstinson.com> - 1.0-1
- rebuilt

* Fri Mar 22 2019 Brian Stinson <brian@bstinson.com 
- Initial Centos build.
